For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
For a given context instance with attributes, get membership details for all segments. In the request body, pass in the context instance.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/segments/evaluate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "Springfield",
"street": "123 Main Street"
},
"jobFunction": "doctor",
"key": "context-key-123abc",
"kind": "user",
"name": "Sandy"
}
'{
"items": [
{
"name": "Segment Name",
"key": "segment-key-123abc",
"description": "Segment description",
"unbounded": false,
"external": "https://amplitude.com/myCohort",
"isMember": true,
"isIndividuallyTargeted": true,
"isRuleTargeted": false,
"_links": {}
}
],
"_links": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The environment key
curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/segments/evaluate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "Springfield",
"street": "123 Main Street"
},
"jobFunction": "doctor",
"key": "context-key-123abc",
"kind": "user",
"name": "Sandy"
}
'{
"items": [
{
"name": "Segment Name",
"key": "segment-key-123abc",
"description": "Segment description",
"unbounded": false,
"external": "https://amplitude.com/myCohort",
"isMember": true,
"isIndividuallyTargeted": true,
"isRuleTargeted": false,
"_links": {}
}
],
"_links": {}
}